# osgUtil::Tesselator::Prim Struct Reference

Inheritance diagram for osgUtil::Tesselator::Prim:

[legend]
List of all members.

## Public Types

typedef std::vector< osg::Vec3 * > | VecList

## Public Member Functions

| Prim (GLenum mode)

## Public Attributes

GLenum | _mode
VecList | _vertices

## Member Typedef Documentation

typedef std::vector<osg::Vec3*> osgUtil::Tesselator::Prim::VecList

## Constructor & Destructor Documentation

osgUtil::Tesselator::Prim::Prim | ( | GLenum | mode | ) | `[inline]`

## Member Data Documentation

GLenum osgUtil::Tesselator::Prim::_mode

VecList osgUtil::Tesselator::Prim::_vertices

The documentation for this struct was generated from the following file:

- Tesselator